package cn.superdesk.uniorder.service.organisation.impl;

import cn.superdesk.uniorder.dao.entity.unified.KfkCompany;
import cn.superdesk.uniorder.dao.mapper.unified.KfkCompanyMapper;
import cn.superdesk.uniorder.service.organisation.KfkCompanyService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class KfkCompanyServiceImpl implements KfkCompanyService {

    @Autowired
    private KfkCompanyMapper kfkCompanyMapper;

    @Override
    public PageInfo<KfkCompany> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {

        return null;
    }

    @Override
    public void deleteObj(Long id) {

        kfkCompanyMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(KfkCompany t) {

        return kfkCompanyMapper.updateByPrimaryKey(t);
    }

    @Override
    public KfkCompany findById(Long id) {

        return kfkCompanyMapper.selectByPrimaryKey(id);
    }

    @Override
    public int insertSelective(KfkCompany t) {

        return kfkCompanyMapper.insertSelective(t);
    }

    @Override
    public List<KfkCompany> findAll(Map<String, Object> queryMap) {

        return null;
    }

    @Override
    public KfkCompany findByCompanyId(Long id) {

        return kfkCompanyMapper.findByCompanyId(id);
    }

}
